 <?php
namespace HCM\Geral\Services;

use Doctrine\ORM\EntityManager;
use HCM\Util\HCMParameters;

class HcmLogService {

    protected $entityManager;
    /** @var Environment */
    protected $hcmParameters;

    public function __construct(EntityManager $entityManager, HCMParameters $hcmParameters) {
        $this->entityManager = $entityManager;
        $this->hcmParameters = $hcmParameters;
    }

    public function execute($parameters) {
        $query = $this->entityManager->getConnection()->prepare($parameters["P_DSQUERY"]);
        $query->execute();

        $resultQuery = $query->fetchAll();
        if (isset($resultQuery)) {
            return $resultQuery;
        } else {
            return null;
        }
    }

}